Loading...
Searching...
No Matches
decaf::EdDSA< Ristretto >::PublicKeyBase Class Reference

EdDSA Public key base class. More...

`#include <ed255.hxx>`

Inheritance diagram for decaf::EdDSA< Ristretto >::PublicKeyBase:

## Public Types

typedef class PrivateKeyBase | PrivateKey
| Private key corresponding to this type of public key.
typedef Ristretto | Group
| Underlying group.

## Public Member Functions

| PublicKeyBase (const NOINIT &) DECAF_NOEXCEPT
| Create but don't initialize.
| PublicKeyBase (const FixedBlock< SER_BYTES > &b) DECAF_NOEXCEPT
| Read a private key from a string.
| PublicKeyBase (const PublicKeyBase &k) DECAF_NOEXCEPT
| Copy constructor.
| PublicKeyBase (const PrivateKey &k) DECAF_NOEXCEPT
| Copy constructor.
PublicKey & | operator= (const FixedBlock< SER_BYTES > &b) DECAF_NOEXCEPT
| Assignment from string.
PublicKey & | operator= (const PublicKey &p) DECAF_NOEXCEPT
| Assignment from public key.
PublicKey & | operator= (const PrivateKey &p) DECAF_NOEXCEPT
| Assignment from private key.
size_t | ser_size () const DECAF_NOEXCEPT
| Serialization size.
void | serialize_into (unsigned char *x) const DECAF_NOEXCEPT
| Serialize into a buffer.
SecureBuffer | convert_to_x () const
| Convert to X format (to be used for key exchange)
Public Member Functions inherited from decaf::Serializable< PublicKeyBase >
size_t | ser_size () const DECAF_NOEXCEPT
| Return the number of bytes needed to serialize this object.
void | serialize_into (unsigned char *buf) const DECAF_NOEXCEPT
| Serialize this object into a buffer.
SecureBuffer | serialize () const
| Serialize this object into a SecureBuffer and return it.

## Static Public Attributes

static const size_t | SIG_BYTES = DECAF_EDDSA_25519_SIGNATURE_BYTES
| Signature size.
static const size_t | SER_BYTES = DECAF_EDDSA_25519_PRIVATE_BYTES
| Serialization size.

## Detailed Description

EdDSA Public key base class.

The documentation for this class was generated from the following file:

- src/GENERATED/include/decaf/ed255.hxx